AlignMolecules.h File Reference
`#include <Geometry/Transform3D.h>`
`#include <Numerics/Vector.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RDKit::MolAlign::MolAlignException

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MolAlign

## Functions

double | RDKit::MolAlign::getAlignmentTransform (const ROMol &prbMol, const ROMol &refMol, RDGeom::Transform3D &trans, int prbCid=-1, int refCid=-1, const MatchVectType *atomMap=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50)
| Alignment functions. More...
double | RDKit::MolAlign::alignMol (ROMol &prbMol, const ROMol &refMol, int prbCid=-1, int refCid=-1, const MatchVectType *atomMap=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50)
| Optimally (minimum RMSD) align a molecule to another molecule. More...
void | RDKit::MolAlign::alignMolConformers (ROMol &mol, const std::vector< unsigned int > *atomIds=0, const std::vector< unsigned int > *confIds=0, const RDNumeric::DoubleVector *weights=0, bool reflect=false, unsigned int maxIters=50, std::vector< double > *RMSlist=0)
| Align the conformations of a molecule using a common set of atoms. More...